[![Build Status](https://travis-ci.org/bcrumbs/snaxdart_models.svg?branch=master)](https://travis-ci.org/bcrumbs/snaxdart_models)

## snaxdart_models

## Description

Library which contains all versions of models used in mobile wallet.

## Types

### V1

| Name                            | Fields                                                                                                                                                                                                                                                                                                                     |
| :------------------------------ | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **AppState**                    | **_Wallet_** wallet <br> **_Accounts_** accounts <br> **_Global_** global <br> **_WalletTransactions_** transactions <br> **_SignUp_** signUp <br> **_Transfer_** transfer                                                                                                                                                 |
| **Wallet**                      | **_String_** publicKey <br> **_WalletAccount_** account <br> **_bool_** logged                                                                                                                                                                                                                                             |
| **Accounts**                    | **_List\<WalletAccount>_** data <br> **_bool_** loading <br> **_SnaxError_** error                                                                                                                                                                                                                                         |
| **Global**                      | **_bool_** walletWasCreated <br> **_bool_** walletWasImported <br> **_bool_** hasBackedUpWallet <br> **_bool_** hasRunBefore <br> **_bool_** loading <br> **_ApplicationRoute_** lastRoute <br> **_bool_** trustFall <br> **_bool_** trustFallWarningShowed <br> **_NetworkState_** networkState <br> **_String_** version |
| **WalletAccount**               | **_Account_** snax <br> **_TwitterAccount_** twitter <br> **_SteemAccount_** steem                                                                                                                                                                                                                                         |
| **TwitterAccount**              | **_String_** id <br> **_String_** displayName                                                                                                                                                                                                                                                                              |
| **SteemAccount**                | **_String_** id <br> **_String_** displayName                                                                                                                                                                                                                                                                              |
| **SignUp**                      | **_bool_** loading <br> **_SnaxError_** error <br> **_String_** snaxAccount <br> **_WalletAccount_** account <br> **_Platform_** platform <br> **_String_** hash <br> **_String_** bindingSalt <br> **_bool_** confirmed <br> **_String_** postId                                                                          |
| **WalletTransaction**           | **_TransactionSource_** source <br> **_TransactionType_** type <br> **_String_** blockTime <br> **_int_** blockNumber <br> **_String_** from <br> **_String_** fromAccount <br> **_String_** to <br> **_String_** quantity <br> **_String_** memo <br> **_int_** globalSequence <br> **_String_** trxId                    |
| **IncompleteWalletTransaction** | **TransactionSource** source <br> **TransactionType** type <br> **String** blockTime <br> **String** from <br> **String** fromAccount <br> **String** to <br> **String** quantity <br> **String** memo <br> **String** trxId <br>                                                                                          |
| **Transactions**                | **_List\<WalletTransaction>_** data <br> **_List\<IncompleteWalletTransaction>_** incomplete <br> **_bool_** hasMore <br> **_bool_** loading <br> **_SnaxError_** error <br>                                                                                                                                               |
| **Transfer**                    | **_WalletTransaction_** data <br> **_bool_** loading <br> **_SnaxError_** error <br> **_String_** recipient <br> **_TransactionSource_** platform <br> **_String_** memo <br> **_String_** quantity                                                                                                                        |
