import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'package:snaxdart_models/v1.dart';
import 'package:snaxdart_errors/snaxdart_errors.dart';

part 'accounts.g.dart';

@JsonSerializable()
class Accounts extends Equatable {
  @JsonKey(name: 'data')
  final List<WalletAccount> data;
  @JsonKey(name: 'loading')
  final bool loading;
  @JsonKey(name: 'error')
  final SnaxError error;

  Accounts({this.data, this.loading, this.error});

  Accounts.initialState()
      : data = [],
        loading = true,
        error = null;

  Accounts copyWith({List<WalletAccount> data, bool loading, SnaxError error}) {
    return Accounts(
      data: data ?? this.data,
      loading: loading ?? this.loading,
      error: error ?? this.error,
    );
  }

  Accounts resetLoadingError() {
    return Accounts(error: null, loading: this.loading, data: this.data);
  }

  factory Accounts.fromJson(Map<String, dynamic> json) =>
      _$AccountsFromJson(json);

  Map<String, dynamic> toJson() => _$AccountsToJson(this);

  @override
  String toString() => this.toJson().toString();
}
