import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';

part 'steem_account.g.dart';

@JsonSerializable()
class SteemAccount extends Equatable {
  @JsonKey(name: 'id')
  final String id;

  @JsonKey(name: 'displayName')
  final String displayName;

  SteemAccount({this.id, this.displayName});

  SteemAccount copyWith({String id, String displayName}) {
    return SteemAccount(
      id: id ?? this.id,
      displayName: displayName ?? this.displayName,
    );
  }

  factory SteemAccount.fromJson(Map<String, dynamic> json) =>
      _$SteemAccountFromJson(json);

  Map<String, dynamic> toJson() => _$SteemAccountToJson(this);

  @override
  String toString() => this.toJson().toString();
}
