import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';

part 'twitter_account.g.dart';

@JsonSerializable()
class TwitterAccount extends Equatable {
  @JsonKey(name: 'id')
  final String id;

  @JsonKey(name: 'displayName')
  final String displayName;

  TwitterAccount({this.id, this.displayName});

  TwitterAccount copyWith({String id, String displayName}) {
    return TwitterAccount(
      id: id ?? this.id,
      displayName: displayName ?? this.displayName,
    );
  }

  factory TwitterAccount.fromJson(Map<String, dynamic> json) =>
      _$TwitterAccountFromJson(json);

  Map<String, dynamic> toJson() => _$TwitterAccountToJson(this);

  @override
  String toString() => this.toJson().toString();
}
