import 'package:equatable/equatable.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:snaxdart_errors/snaxdart_errors.dart';
import 'package:snaxdart_models/v1.dart';

part 'view.g.dart';

@JsonSerializable()
class View extends Equatable {
  @JsonKey(name: 'transaction')
  final WalletTransaction transaction;

  @JsonKey(name: 'loading')
  final bool loading;

  @JsonKey(name: 'error')
  final SnaxError error;

  View({this.transaction, this.loading, this.error});

  View copyWith({
    WalletTransaction transaction,
    bool loading,
    SnaxError error,
  }) {
    return View(
        transaction: transaction ?? this.transaction,
        loading: loading ?? this.loading,
        error: error ?? this.error);
  }

  View.initialState()
      : transaction = null,
        loading = false,
        error = null;

  View resetError() {
    return View(transaction: this.transaction, loading: this.loading, error: null);
  }

  factory View.fromJson(Map<String, dynamic> json) => _$ViewFromJson(json);

  Map<String, dynamic> toJson() => _$ViewToJson(this);

  @override
  String toString() => this.toJson().toString();
}
