import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'package:snaxdart_models/v1.dart';

part 'wallet.g.dart';

@JsonSerializable()
class Wallet extends Equatable {
  @JsonKey(name: 'public_key')
  final String publicKey;

  @JsonKey(name: 'account')
  final WalletAccount account;

  @JsonKey(name: 'logged')
  bool logged;

  Wallet({this.publicKey, this.account, this.logged}) : super() {
    if (this.logged == null) this.logged = false;
  }

  Wallet.initialState()
      : publicKey = null,
        account = null,
        logged = false;

  Wallet copyWith({
    String publicKey,
    WalletAccount account,
    bool logged,
  }) {
    return Wallet(
        publicKey: publicKey ?? this.publicKey,
        account: account ?? this.account,
        logged: logged ?? this.logged);
  }

  Wallet resetAccount() {
    return Wallet(
        account: null, publicKey: this.publicKey, logged: this.logged);
  }

  factory Wallet.fromJson(Map<String, dynamic> json) => _$WalletFromJson(json);

  Map<String, dynamic> toJson() => _$WalletToJson(this);

  @override
  String toString() => this.toJson().toString();
}
