import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
import 'package:snaxdart/snaxdart.dart';
import 'package:snaxdart_models/v1.dart';

part 'wallet_account.g.dart';

@JsonSerializable()
class WalletAccount extends Equatable {
  @JsonKey(name: 'snax')
  final Account snax;

  @JsonKey(name: 'twitter')
  final TwitterAccount twitter;

  @JsonKey(name: 'steem')
  final SteemAccount steem;

  WalletAccount({this.snax, this.twitter, this.steem});

  WalletAccount.initialState()
      : snax = null,
        twitter = null,
        steem = null;

  WalletAccount copyWith(
      {Account snax, TwitterAccount twitter, SteemAccount steem}) {
    return WalletAccount(
        snax: snax ?? this.snax,
        twitter: twitter ?? this.twitter,
        steem: steem ?? this.steem);
  }

  factory WalletAccount.fromJson(Map<String, dynamic> json) =>
      _$WalletAccountFromJson(json);

  Map<String, dynamic> toJson() => _$WalletAccountToJson(this);

  @override
  String toString() => this.toJson().toString();
}
