import 'package:test/test.dart';

import 'package:snaxdart_models/v1.dart';

void main() {
  group('Global Model', () {
    test('should create model with initial state', () {
      final global = Global.initialState();
      expect(global.walletWasCreated, false);
    });

    test('should create copy with walletWasCreated', () {
      final initialGlobal = Global.initialState();

      final global = initialGlobal.copyWith(walletWasCreated: true);

      expect(global.walletWasCreated, true);
    });

    test('should create copy with walletWasImported', () {
      final initialGlobal = Global.initialState();

      final global = initialGlobal.copyWith(walletWasImported: true);

      expect(global.walletWasImported, true);
    });

    test('should create copy with hasBackedUpWallet', () {
      final initialGlobal = Global.initialState();

      final global = initialGlobal.copyWith(hasBackedUpWallet: true);

      expect(global.hasBackedUpWallet, true);
    });

    test('should create copy with loading', () {
      final initialGlobal = Global.initialState();

      final global = initialGlobal.copyWith(loading: true);

      expect(global.loading, true);
    });

    test('should create copy with hasRunBefore', () {
      final initialGlobal = Global.initialState();

      final global = initialGlobal.copyWith(hasRunBefore: true);

      expect(global.hasRunBefore, true);
    });
  });
}
