import 'package:test/test.dart';

import 'package:snaxdart_models/v1.dart';

void main() {
  group('Wallet Twitter Model', () {
    test('should create copy with id account', () {
      final account = TwitterAccount(id: '1', displayName: 'SnaxTwitter');

      final newAccount = account.copyWith(id: '2');

      expect(newAccount.id, '2');
    });

    test('should create copy with displayName account', () {
      final account = TwitterAccount(id: '1', displayName: 'SnaxTwitter');

      final newAccount = account.copyWith(displayName: 'racoon');

      expect(newAccount.displayName, 'racoon');
    });

    test('should create copy with twitter account', () {
      final account = WalletAccount.initialState();
      final twitterAccount =
          TwitterAccount(displayName: 'SnaxTwitter', id: '1');

      final newAccounts = account.copyWith(twitter: twitterAccount);

      expect(newAccounts.twitter.displayName, 'SnaxTwitter');
      expect(newAccounts.twitter.id, '1');
    });
  });
}
