import 'package:test/test.dart';
import 'package:snaxdart_errors/snaxdart_errors.dart';

import 'package:snaxdart_models/v1.dart';

void main() {
  group('Wallet View Model', () {
    test('should create correct view', () {
      final view = View(transaction: null, loading: false, error: GeneralError("Failed to fetch"));

      expect(view.transaction, null);
      expect(view.loading, false);
      expect(view.error?.message, "Failed to fetch");
    });

    test('should create view copy with transaction', () {
      final view = View();
      final transaction = WalletTransaction();

      final viewCopy = view.copyWith(transaction: transaction);

      expect(viewCopy.transaction, transaction);
    });

  });
}
