import 'package:test/test.dart';

import 'package:snaxdart_models/v1.dart';
import 'package:snaxdart/snaxdart.dart';

void main() {
  group('Wallet Account Model', () {
    test('should create model with initial state', () {
      final account = WalletAccount.initialState();
      expect(account.snax, null);
      expect(account.twitter, null);
    });

    test('should create copy with snax account', () {
      final account = WalletAccount.initialState();
      final snaxAccount = Account('hellosnax', 5);

      final newAccounts = account.copyWith(snax: snaxAccount);

      expect(newAccounts.snax.accountName, 'hellosnax');
      expect(newAccounts.snax.headBlockNum, 5);
    });

    test('should create copy with twitter account', () {
      final account = WalletAccount.initialState();
      final twitterAccount =
          TwitterAccount(displayName: 'SnaxTwitter', id: '1');

      final newAccounts = account.copyWith(twitter: twitterAccount);

      expect(newAccounts.twitter.displayName, 'SnaxTwitter');
      expect(newAccounts.twitter.id, '1');
    });
  });
}
